Bug 401 - smbclient and browsing don't work any more
smbclient and browsing don't work any more
Status: CLOSED FIXED
Product: Samba 3.0
Classification: Unclassified
Component: File Services
3.0.0preX
All Solaris
: P1 critical
: none
Assigned To: Gerald (Jerry) Carter
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2003-09-04 00:25 UTC by Patrik Gustavsson
Modified: 2005-11-14 09:26 UTC (History)
0 users

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Patrik Gustavsson 2003-09-04 00:25:49 UTC
I compiled the source with gcc.3.2.3 ( have tried also with Sun Studio 8 with
the fixed CP850/CP437 file bug 380) on my Solaris 9 box.

I tried the following as I have done before:

- Joined the W2003 server
- Winbind works
- wbinfo tests passed
- smbclient tests to Samba server fails with session setup failed: 
  NT_STATUS_INVALID_PARAMETER (Debug list attached)

- W2K client can't connect/brows to Samba server.

My smb.conf file:

# Global parameters
[global]
        workgroup = TEST
        password server = w2003server
        realm = TEST.SE
        netbios name = SAMBA
        server string = Samba (%v) domain (%h)
        interfaces = hahostix2/255.255.0.0
        bind interfaces only = Yes
        ;client use spnego = no
        ;use spnego = no
        security = ads
        private dir = /global/mnt1/SAMBA/private
        log file = /global/mnt1/SAMBA/logs/logfile
        lock dir = /global/mnt1/SAMBA/locks
        pid directory = /global/mnt1/SAMBA/var/locks
        idmap uid = 10000-20000
        idmap gid = 10000-20000
        template homedir = /global/mnt1/SAMBA/home/TEST.SE/%U
        template shell = /bin/sh
        ;winbind use default domain = Yes
        winbind use default domain = True
        wins server = w2003server

[scmondir]
        comment = Monitor directory for Sun Cluster
        path = /tmp
        browseable = No

[homes]
        comment = "Home directory"
        read only = No
        exec=/bin/mkdir -p /global/mnt1/SAMBA/home/TEST.SE/%U

[profiles]
        comment = "Profile directory"
        path = /global/mnt1/SAMBA/profiles
        read only = No
        create mask = 0600
        directory mask = 0700

[data]
        comment = Data disk
        path = /global/mnt1/datadir
        read only = No
        guest ok = yes

SMB-CLIENT DEBUG

Command: smbclient '\\SAMBA\scmondir' -s /global/mnt1/SAMBA/lib/smb.conf -U
fmuser%12Rootuser34 -d

Debug:
[2003/09/04 08:50:17, 5] lib/debug.c:debug_dump_status(359)
  INFO: Current debug levels:
    all: True/100
    tdb: False/0
    printdrivers: False/0
    lanman: False/0
    smb: False/0
    rpc_parse: False/0
    rpc_srv: False/0
    rpc_cli: False/0
    passdb: False/0
    sam: False/0
    auth: False/0
    winbind: False/0
    vfs: False/0
    idmap: False/0
[2003/09/04 08:50:17, 3] param/loadparm.c:lp_load(3916)
  lp_load: refreshing parameters
[2003/09/04 08:50:17, 3] param/loadparm.c:init_globals(1300)
  Initialising global parameters
[2003/09/04 08:50:17, 3] param/params.c:pm_process(566)
  params.c:pm_process() - Processing configuration file "/global/mnt1/SAMBA/lib/
smb.conf"
[2003/09/04 08:50:17, 3] param/loadparm.c:do_section(3419)
  Processing section "[global]"
  doing parameter workgroup = TEST
  doing parameter password server = w2003server
  doing parameter realm = TEST.SE
  doing parameter netbios name = SAMBA
[2003/09/04 08:50:17, 4] param/loadparm.c:handle_netbios_name(2713)
  handle_netbios_name: set global_myname to: SAMBA
  doing parameter server string = Samba (%v) domain (%h)
  doing parameter interfaces = hahostix2/255.255.0.0
  doing parameter bind interfaces only = Yes
  doing parameter security = ads
  doing parameter private dir = /global/mnt1/SAMBA/private
  doing parameter log file = /global/mnt1/SAMBA/logs/logfile
  doing parameter lock dir = /global/mnt1/SAMBA/locks
  doing parameter pid directory = /global/mnt1/SAMBA/var/locks
  doing parameter idmap uid = 10000-20000
  doing parameter idmap gid = 10000-20000
  doing parameter template homedir = /global/mnt1/SAMBA/home/TEST.SE/%U
  doing parameter template shell = /bin/sh
  doing parameter winbind use default domain = True
  doing parameter wins server = w2003server
[2003/09/04 08:50:17, 4] param/loadparm.c:lp_load(3948)
  pm_process() returned Yes
[2003/09/04 08:50:17, 7] param/loadparm.c:lp_servicenumber(4058)
  lp_servicenumber: couldn't find homes
[2003/09/04 08:50:17, 10] param/loadparm.c:set_server_role(3866)
  set_server_role: role = ROLE_DOMAIN_MEMBER
[2003/09/04 08:50:17, 5] lib/module.c:smb_probe_module(97)
  Probing module 646: Trying to load from /usr/local/samba/lib/charset/646.so
[2003/09/04 08:50:17, 0] lib/module.c:smb_load_module(40)
  Error loading module '/usr/local/samba/lib/charset/646.so': ld.so.1: smbclient
: fatal: /usr/local/samba/lib/charset/646.so: open failed: No such file or direc
tory
[2003/09/04 08:50:17, 5] lib/charcnv.c:charset_name(71)
  Locale charset '646' unsupported, using ASCII instead
[2003/09/04 08:50:17, 5] lib/module.c:smb_probe_module(97)
  Probing module CP850: Trying to load from /usr/local/samba/lib/charset/CP850.s
o
[2003/09/04 08:50:17, 5] lib/iconv.c:smb_register_charset(86)
  Attempting to register new charset CP850
[2003/09/04 08:50:17, 5] lib/iconv.c:smb_register_charset(94)
  Registered charset CP850
[2003/09/04 08:50:17, 2] lib/module.c:smb_load_module(56)
  Module '/usr/local/samba/lib/charset/CP850.so' loaded
[2003/09/04 08:50:17, 5] lib/module.c:smb_probe_module(97)
  Probing module 646: Trying to load from /usr/local/samba/lib/charset/646.so
[2003/09/04 08:50:17, 0] lib/module.c:smb_load_module(40)
  Error loading module '/usr/local/samba/lib/charset/646.so': ld.so.1: smbclient
: fatal: /usr/local/samba/lib/charset/646.so: open failed: No such file or direc
tory
[2003/09/04 08:50:17, 5] lib/charcnv.c:charset_name(71)
  Locale charset '646' unsupported, using ASCII instead
[2003/09/04 08:50:17, 5] lib/module.c:smb_probe_module(97)
  Probing module 646: Trying to load from /usr/local/samba/lib/charset/646.so
[2003/09/04 08:50:17, 0] lib/module.c:smb_load_module(40)
  Error loading module '/usr/local/samba/lib/charset/646.so': ld.so.1: smbclient
: fatal: /usr/local/samba/lib/charset/646.so: open failed: No such file or direc
tory
[2003/09/04 08:50:17, 5] lib/charcnv.c:charset_name(71)
  Locale charset '646' unsupported, using ASCII instead
[2003/09/04 08:50:17, 5] lib/module.c:smb_probe_module(97)
  Probing module 646: Trying to load from /usr/local/samba/lib/charset/646.so
[2003/09/04 08:50:17, 0] lib/module.c:smb_load_module(40)
  Error loading module '/usr/local/samba/lib/charset/646.so': ld.so.1: smbclient
: fatal: /usr/local/samba/lib/charset/646.so: open failed: No such file or direc
tory
[2003/09/04 08:50:17, 5] lib/charcnv.c:charset_name(71)
  Locale charset '646' unsupported, using ASCII instead
[2003/09/04 08:50:17, 5] lib/module.c:smb_probe_module(97)
  Probing module 646: Trying to load from /usr/local/samba/lib/charset/646.so
[2003/09/04 08:50:17, 0] lib/module.c:smb_load_module(40)
  Error loading module '/usr/local/samba/lib/charset/646.so': ld.so.1: smbclient
: fatal: /usr/local/samba/lib/charset/646.so: open failed: No such file or direc
tory
[2003/09/04 08:50:17, 5] lib/charcnv.c:charset_name(71)
  Locale charset '646' unsupported, using ASCII instead
[2003/09/04 08:50:17, 5] lib/module.c:smb_probe_module(97)
  Probing module 646: Trying to load from /usr/local/samba/lib/charset/646.so
[2003/09/04 08:50:17, 0] lib/module.c:smb_load_module(40)
  Error loading module '/usr/local/samba/lib/charset/646.so': ld.so.1: smbclient
: fatal: /usr/local/samba/lib/charset/646.so: open failed: No such file or direc
tory
[2003/09/04 08:50:17, 5] lib/charcnv.c:charset_name(71)
  Locale charset '646' unsupported, using ASCII instead
[2003/09/04 08:50:17, 5] lib/module.c:smb_probe_module(97)
  Probing module 646: Trying to load from /usr/local/samba/lib/charset/646.so
[2003/09/04 08:50:17, 0] lib/module.c:smb_load_module(40)
  Error loading module '/usr/local/samba/lib/charset/646.so': ld.so.1: smbclient
: fatal: /usr/local/samba/lib/charset/646.so: open failed: No such file or direc
tory
[2003/09/04 08:50:17, 5] lib/charcnv.c:charset_name(71)
  Locale charset '646' unsupported, using ASCII instead
[2003/09/04 08:50:17, 5] lib/module.c:smb_probe_module(97)
  Probing module 646: Trying to load from /usr/local/samba/lib/charset/646.so
[2003/09/04 08:50:17, 0] lib/module.c:smb_load_module(40)
  Error loading module '/usr/local/samba/lib/charset/646.so': ld.so.1: smbclient
: fatal: /usr/local/samba/lib/charset/646.so: open failed: No such file or direc
tory
[2003/09/04 08:50:17, 5] lib/charcnv.c:charset_name(71)
  Locale charset '646' unsupported, using ASCII instead
[2003/09/04 08:50:17, 5] lib/module.c:smb_probe_module(97)
  Probing module 646: Trying to load from /usr/local/samba/lib/charset/646.so
[2003/09/04 08:50:17, 0] lib/module.c:smb_load_module(40)
  Error loading module '/usr/local/samba/lib/charset/646.so': ld.so.1: smbclient
: fatal: /usr/local/samba/lib/charset/646.so: open failed: No such file or direc
tory
[2003/09/04 08:50:17, 5] lib/charcnv.c:charset_name(71)
  Locale charset '646' unsupported, using ASCII instead
[2003/09/04 08:50:17, 5] lib/module.c:smb_probe_module(97)
  Probing module 646: Trying to load from /usr/local/samba/lib/charset/646.so
[2003/09/04 08:50:17, 0] lib/module.c:smb_load_module(40)
  Error loading module '/usr/local/samba/lib/charset/646.so': ld.so.1: smbclient
: fatal: /usr/local/samba/lib/charset/646.so: open failed: No such file or direc
tory
[2003/09/04 08:50:17, 5] lib/charcnv.c:charset_name(71)
  Locale charset '646' unsupported, using ASCII instead
[2003/09/04 08:50:17, 10] lib/ms_fnmatch.c:ms_fnmatch(240)
  ms_fnmatch(hahostix2/255.255.0.0,clprivnet0) -> -1
[2003/09/04 08:50:17, 10] lib/ms_fnmatch.c:ms_fnmatch(240)
  ms_fnmatch(hahostix2/255.255.0.0,hme0) -> -1
[2003/09/04 08:50:17, 10] lib/ms_fnmatch.c:ms_fnmatch(240)
  ms_fnmatch(hahostix2/255.255.0.0,hme0:1) -> -1
[2003/09/04 08:50:17, 10] lib/ms_fnmatch.c:ms_fnmatch(240)
  ms_fnmatch(hahostix2/255.255.0.0,hme0:2) -> -1
[2003/09/04 08:50:17, 10] lib/ms_fnmatch.c:ms_fnmatch(240)
  ms_fnmatch(hahostix2/255.255.0.0,hme1) -> -1
[2003/09/04 08:50:17, 10] lib/ms_fnmatch.c:ms_fnmatch(240)
  ms_fnmatch(hahostix2/255.255.0.0,hme2) -> -1
[2003/09/04 08:50:17, 10] lib/ms_fnmatch.c:ms_fnmatch(240)
  ms_fnmatch(hahostix2/255.255.0.0,lo0) -> -1
[2003/09/04 08:50:18, 2] lib/interface.c:add_interface(79)
  added interface ip=10.0.0.106 bcast=10.0.255.255 nmask=255.255.0.0
[2003/09/04 08:50:18, 5] lib/util.c:init_names(270)
  Netbios name list:-
  my_netbios_names[0]="SAMBA"
[2003/09/04 08:50:18, 3] client/client.c:main(2954)
  Client started (version 3.0.0rc2).
[2003/09/04 08:50:18, 10] libsmb/namequery.c:internal_resolve_name(989)
  internal_resolve_name: looking up SAMBA#20
[2003/09/04 08:50:18, 5] lib/gencache.c:gencache_init(59)
  Opening cache file at /global/mnt1/SAMBA/locks/gencache.tdb
[2003/09/04 08:50:18, 10] lib/gencache.c:gencache_get(263)
  Returning valid cache entry: key = NBT/SAMBA#20, value = 10.0.0.106:0, timeout
 = Thu Sep  4 09:00:42 2003

[2003/09/04 08:50:18, 5] libsmb/namecache.c:namecache_fetch(201)
  name SAMBA#20 found.
[2003/09/04 08:50:18, 3] lib/util_sock.c:open_socket_out(690)
  Connecting to 10.0.0.106 at port 445
[2003/09/04 08:50:18, 5] lib/util_sock.c:print_socket_options(105)
  socket option SO_KEEPALIVE = 0
[2003/09/04 08:50:18, 5] lib/util_sock.c:print_socket_options(105)
  socket option SO_REUSEADDR = 0
[2003/09/04 08:50:18, 5] lib/util_sock.c:print_socket_options(105)
  socket option SO_BROADCAST = 0
[2003/09/04 08:50:18, 5] lib/util_sock.c:print_socket_options(105)
  socket option TCP_NODELAY = 1
[2003/09/04 08:50:18, 5] lib/util_sock.c:print_socket_options(105)
  socket option IPTOS_LOWDELAY = 0
[2003/09/04 08:50:18, 5] lib/util_sock.c:print_socket_options(105)
  socket option IPTOS_THROUGHPUT = 0
[2003/09/04 08:50:18, 5] lib/util_sock.c:print_socket_options(105)
  socket option SO_SNDBUF = 49152
[2003/09/04 08:50:18, 5] lib/util_sock.c:print_socket_options(105)
  socket option SO_RCVBUF = 49640
[2003/09/04 08:50:18, 5] lib/util_sock.c:print_socket_options(103)
  Could not test socket option SO_SNDLOWAT.
[2003/09/04 08:50:18, 5] lib/util_sock.c:print_socket_options(103)
  Could not test socket option SO_RCVLOWAT.
[2003/09/04 08:50:18, 5] lib/util_sock.c:print_socket_options(103)
  Could not test socket option SO_SNDTIMEO.
[2003/09/04 08:50:18, 5] lib/util_sock.c:print_socket_options(103)
  Could not test socket option SO_RCVTIMEO.
[2003/09/04 08:50:18, 4] client/client.c:do_connect(2563)
   session request ok
[2003/09/04 08:50:18, 6] lib/util_sock.c:write_socket(407)
  write_socket(4,183)
[2003/09/04 08:50:18, 6] lib/util_sock.c:write_socket(410)
  write_socket(4,183) wrote 183
[2003/09/04 08:50:18, 10] lib/util_sock.c:read_smb_length_return_keepalive(463)
  got smb length of 159
[2003/09/04 08:50:18, 5] lib/util.c:show_msg(456)
[2003/09/04 08:50:18, 5] lib/util.c:show_msg(466)
  size=159
  smb_com=0x72
  smb_rcls=0
  smb_reh=0
  smb_err=0
  smb_flg=136
  smb_flg2=51201
  smb_tid=0
  smb_pid=25632
  smb_uid=0
  smb_mid=1
  smt_wct=17
  smb_vwv[ 0]=    7 (0x7)
  smb_vwv[ 1]=12803 (0x3203)
  smb_vwv[ 2]=  256 (0x100)
  smb_vwv[ 3]= 1024 (0x400)
  smb_vwv[ 4]=   65 (0x41)
  smb_vwv[ 5]=    0 (0x0)
  smb_vwv[ 6]=  256 (0x100)
  smb_vwv[ 7]= 8448 (0x2100)
  smb_vwv[ 8]=  100 (0x64)
  smb_vwv[ 9]=64768 (0xFD00)
  smb_vwv[10]=32995 (0x80E3)
  smb_vwv[11]=  128 (0x80)
  smb_vwv[12]=17009 (0x4271)
  smb_vwv[13]=45261 (0xB0CD)
  smb_vwv[14]=50034 (0xC372)
  smb_vwv[15]=34817 (0x8801)
  smb_vwv[16]=23295 (0x5AFF)
  smb_bcc=90
[2003/09/04 08:50:18, 10] lib/util.c:dump_data(1887)
  [000] 73 61 6D 62 61 00 00 00  00 00 00 00 00 00 00 00  samba... ........
  [010] 60 48 06 06 2B 06 01 05  05 02 A0 3E 30 3C A0 24  `H..+... ...>0<.$
  [020] 30 22 06 09 2A 86 48 86  F7 12 01 02 02 06 09 2A  0"..*.H. .......*
  [030] 86 48 82 F7 12 01 02 02  06 0A 2B 06 01 04 01 82  .H...... ..+.....
  [040] 37 02 02 0A A3 14 30 12  A0 10 1B 0E 73 61 6D 62  7.....0. ....samb
  [050] 61 24 40 54 45 53 54 2E  53 45                    a$@TEST. SE
[2003/09/04 08:50:18, 5] lib/util.c:show_msg(456)
[2003/09/04 08:50:18, 5] lib/util.c:show_msg(466)
  size=159
  smb_com=0x72
  smb_rcls=0
  smb_reh=0
  smb_err=0
  smb_flg=136
  smb_flg2=51201
  smb_tid=0
  smb_pid=25632
  smb_uid=0
  smb_mid=1
  smt_wct=17
  smb_vwv[ 0]=    7 (0x7)
  smb_vwv[ 1]=12803 (0x3203)
  smb_vwv[ 2]=  256 (0x100)
  smb_vwv[ 3]= 1024 (0x400)
  smb_vwv[ 4]=   65 (0x41)
  smb_vwv[ 5]=    0 (0x0)
  smb_vwv[ 6]=  256 (0x100)
  smb_vwv[ 7]= 8448 (0x2100)
  smb_vwv[ 8]=  100 (0x64)
  smb_vwv[ 9]=64768 (0xFD00)
  smb_vwv[10]=32995 (0x80E3)
  smb_vwv[11]=  128 (0x80)
  smb_vwv[12]=17009 (0x4271)
  smb_vwv[13]=45261 (0xB0CD)
  smb_vwv[14]=50034 (0xC372)
  smb_vwv[15]=34817 (0x8801)
  smb_vwv[16]=23295 (0x5AFF)
  smb_bcc=90
[2003/09/04 08:50:18, 10] lib/util.c:dump_data(1887)
  [000] 73 61 6D 62 61 00 00 00  00 00 00 00 00 00 00 00  samba... ........
  [010] 60 48 06 06 2B 06 01 05  05 02 A0 3E 30 3C A0 24  `H..+... ...>0<.$
  [020] 30 22 06 09 2A 86 48 86  F7 12 01 02 02 06 09 2A  0"..*.H. .......*
  [030] 86 48 82 F7 12 01 02 02  06 0A 2B 06 01 04 01 82  .H...... ..+.....
  [040] 37 02 02 0A A3 14 30 12  A0 10 1B 0E 73 61 6D 62  7.....0. ....samb
  [050] 61 24 40 54 45 53 54 2E  53 45                    a$@TEST. SE
[2003/09/04 08:50:18, 4] lib/time.c:get_serverzone(122)
  Serverzone is -7200
[2003/09/04 08:50:18, 2] libsmb/cliconnect.c:cli_session_setup_spnego(646)
  Doing spnego session setup (blob length=90)
[2003/09/04 08:50:18, 3] libsmb/cliconnect.c:cli_session_setup_spnego(671)
  got OID=1 2 840 113554 1 2 2
[2003/09/04 08:50:18, 3] libsmb/cliconnect.c:cli_session_setup_spnego(671)
  got OID=1 2 840 48018 1 2 2
[2003/09/04 08:50:18, 3] libsmb/cliconnect.c:cli_session_setup_spnego(671)
  got OID=1 3 6 1 4 1 311 2 2 10
[2003/09/04 08:50:18, 3] libsmb/cliconnect.c:cli_session_setup_spnego(678)
  got principal=samba$@TEST.SE
[2003/09/04 08:50:18, 6] lib/util_sock.c:write_socket(407)
  write_socket(4,160)
[2003/09/04 08:50:18, 6] lib/util_sock.c:write_socket(410)
  write_socket(4,160) wrote 160
[2003/09/04 08:50:18, 10] lib/util_sock.c:read_smb_length_return_keepalive(463)
  got smb length of 102
[2003/09/04 08:50:18, 5] lib/util.c:show_msg(456)
[2003/09/04 08:50:18, 5] lib/util.c:show_msg(466)
  size=102
  smb_com=0x73
  smb_rcls=13
  smb_reh=0
  smb_err=49152
  smb_flg=136
  smb_flg2=51201
  smb_tid=0
  smb_pid=25632
  smb_uid=0
  smb_mid=2
  smt_wct=4
  smb_vwv[ 0]=  255 (0xFF)
  smb_vwv[ 1]=    0 (0x0)
  smb_vwv[ 2]=    0 (0x0)
  smb_vwv[ 3]=    9 (0x9)
  smb_bcc=59
[2003/09/04 08:50:18, 10] lib/util.c:dump_data(1887)
  [000] A1 07 30 05 A0 03 0A 01  02 55 00 6E 00 69 00 78  ..0..... .U.n.i.x
  [010] 00 00 00 53 00 61 00 6D  00 62 00 61 00 20 00 33  ...S.a.m .b.a. .3
  [020] 00 2E 00 30 00 2E 00 30  00 72 00 63 00 32 00 00  ...0...0 .r.c.2..
  [030] 00 54 00 45 00 53 00 54  00 00 00                 .T.E.S.T ...
[2003/09/04 08:50:18, 5] lib/util.c:show_msg(456)
[2003/09/04 08:50:18, 5] lib/util.c:show_msg(466)
  size=102
  smb_com=0x73
  smb_rcls=13
  smb_reh=0
  smb_err=49152
  smb_flg=136
  smb_flg2=51201
  smb_tid=0
  smb_pid=25632
  smb_uid=0
  smb_mid=2
  smt_wct=4
  smb_vwv[ 0]=  255 (0xFF)
  smb_vwv[ 1]=    0 (0x0)
  smb_vwv[ 2]=    0 (0x0)
  smb_vwv[ 3]=    9 (0x9)
  smb_bcc=59
[2003/09/04 08:50:18, 10] lib/util.c:dump_data(1887)
  [000] A1 07 30 05 A0 03 0A 01  02 55 00 6E 00 69 00 78  ..0..... .U.n.i.x
  [010] 00 00 00 53 00 61 00 6D  00 62 00 61 00 20 00 33  ...S.a.m .b.a. .3
  [020] 00 2E 00 30 00 2E 00 30  00 72 00 63 00 32 00 00  ...0...0 .r.c.2..
  [030] 00 54 00 45 00 53 00 54  00 00 00                 .T.E.S.T ...
session setup failed: NT_STATUS_INVALID_PARAMETER
Comment 1 Gerald (Jerry) Carter 2003-09-06 13:07:22 UTC
Tested against a mixed mode 2k AD domain and 
could not reproduce.  Could you retest on Monday
since we have straightened out some of the NTLMv2 
issues.

I'll retest against a 2k3 domain as well.
Comment 2 Gerald (Jerry) Carter 2003-09-22 12:23:02 UTC
Local tests against current SAMBA_3_0_RELEASE branch show success.  
Closing this one out.
Comment 3 Gerald (Jerry) Carter 2005-02-07 09:06:31 UTC
originally reported against one of the 3.0.0rc[1-4] releases.
Cleaning up non-production versions.
Comment 4 Gerald (Jerry) Carter 2005-08-24 10:16:40 UTC
sorry for the same, cleaning up the database to prevent unecessary reopens of bugs.
Comment 5 Gerald (Jerry) Carter 2005-11-14 09:26:07 UTC
database cleanup